////////////////////////////////////////////////////////////
// Persistence of Vision Ray Tracer Scene Description File
// File:        environment.inc
// Version:     3.5
// Description: Include file for the Environment definition
// Date:        2002
// Author:      Bonsai <bonsai@b0n541.net
// Copyright:   GPL - Gnu Public License
////////////////////////////////////////////////////////////

#declare EnvironmentMap = union
	{
	difference
		{
		box {<-150, -100, -150>, <150, 200, 150>}
		box {<-145,  -95, -145>, <145, 195, 145>}

		// Window West
		box {<-151,  50, -50>, <-144, 110,  -5>}
		box {<-151,  50,   5>, <-144, 110,  50>}
		box {<-151, 120, -50>, <-144, 150,  -5>}
		box {<-151, 120,   5>, <-144, 150,  50>}

		// Window South
		box {<-50,  50, -151>, < -5, 110, -144>}
		box {<  5,  50, -151>, < 50, 110, -144>}
		box {<-50, 120, -151>, < -5, 150, -144>}
		box {<  5, 120, -151>, < 50, 150, -144>}

		// Window East
		box {<151,  50, -50>, <144, 110,  -5>}
		box {<151,  50,   5>, <144, 110,  50>}
		box {<151, 120, -50>, <144, 150,  -5>}
		box {<151, 120,   5>, <144, 150,  50>}

		// Window North
		box {<-50,  50, 151>, < -5, 110, 144>}
		box {<  5,  50, 151>, < 50, 110, 144>}
		box {<-50, 120, 151>, < -5, 150, 144>}
		box {<  5, 120, 151>, < 50, 150, 144>}

		material
			{
			texture
				{
				pigment
					{
					color rgb <1, 1, 1>
					}
				}
			}
		}

	cylinder {<-150, 200, -150>, < 150, 200, -150>, 20 pigment{color rgb <1, 1, 0>}}
	cylinder {<-150, 200, -150>, <-150, 200,  150>, 20 pigment{color rgb <1, 1, 0>}}
	cylinder {< 150, 200, -150>, < 150, 200,  150>, 20 pigment{color rgb <1, 1, 0>}}
	cylinder {<-150, 200,  150>, < 150, 200,  150>, 20 pigment{color rgb <1, 1, 0>}}
	}

